=== debian/changelog ===
enblend-enfuse (4.1.2+dfsg-2ubuntu2) trusty; urgency=medium

  * Rebuild for libvigraimpex soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2014 14:13:09 +0100

enblend-enfuse (4.1.2+dfsg-2ubuntu1) trusty; urgency=medium

  * Merge from Debian, remaining changes:
    - Build-depend on libglew-dev rather than libglew1.5-dev | libglew1.4-dev
      | libglew-dev.
    - Build using -O1 on arm

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 22 Jan 2014 06:23:44 +1100

enblend-enfuse (4.1.2+dfsg-2) unstable; urgency=low

  * Build-Depend on libtiff-dev instead of transitional libtiff4-dev package.
  * Upload to unstable (lcms2 transition).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Dec 2013 13:51:09 +0100

enblend-enfuse (4.1.2+dfsg-1) experimental; urgency=low

  * Use up to date config.sub/config.guess from autotools-dev. (Yes, the files
    in 4.1.1 should be new enough anyway, but we can fix this once and for
    all.)  Closes: #727373
  * Switch b-d to libtiff4-dev as used by vigra-impex.
  * New upstream version 4.1.2.
  * 0001-Change-all-texinfo-variable-names-to-alpha-nums.patch
    0002-expand-homepage-macro.patch
    0003-Texinfo-5.1-workaround-disable-some-macros.patch
    0004-Texinfo-5.1-workaround-macro-on-a-separate-line.patch
    0005-Texinfo-5.1-workaround-macro-on-a-separate-line.patch
    0006-Texinfo-5.1-workaround-macro-on-a-separate-line.patch
    0007-Leave-TEXINPUTS-alone.patch
    0008-Texinfo-5.1-workaround-macro-on-a-separate-line.patch
    0009-Texinfo-5.1-workaround-equationW.patch debian/sed-fix-texi-ids
    Fix build with texinfo 5.1.
  * Point vcs-* to anonscm.debian.org.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Oct 2013 09:27:54 +0100

enblend-enfuse (4.1.1+dfsg-1) experimental; urgency=low

  * New upstream version 4.1.1.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Apr 2013 09:11:35 +0200

enblend-enfuse (4.1+dfsg-1) experimental; urgency=low

  * New upstream version 4.1.
    + unfuzz patches-repack/*
    + Drop unnecessary patches (10_ftbfs-gold.diff,
      11_ftbfs_boost1.46.1.diff)
    + Build depends on liblcms2-dev instead of liblcms1-dev.
      (LP: #885324)
    + Requires external libvigraimpex with OpenEXR support. Closes: #542258
      Since the libvigraimpex is built against libtiff5-dev, enblend also
      switches from 4 to 5.
    + Build-Depends on libgsl0-dev.
    + convert (imagemagick) and xmllint (libxml2-utils) are now required for
      building the documentation.
  * Build with -Wl,--as-needed and default buildflags, using dpkg-buildflags
    --export=configure from dpkg-dev >= 1.16.1.
  * Use debhelper v9.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 Jan 2013 17:51:20 +0100

enblend-enfuse (4.0+dfsg-6ubuntu3) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:21:09 +0000

enblend-enfuse (4.0+dfsg-6ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 09:49:20 +0100

enblend-enfuse (4.0+dfsg-6ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev.
    - Build-depend on libglew-dev rather than libglew1.5-dev | libglew1.4-dev
      | libglew-dev.
    - Use default inlining parameters for the build.
    - Build using -O1 on armel.
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 20:52:52 +0100

enblend-enfuse (4.0+dfsg-6) unstable; urgency=medium

  * 23_perl5.18.diff from upstream HG. - Fix perl 5.18 build failure.
    Closes: #719867

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Aug 2013 18:06:11 +0200

enblend-enfuse (4.0+dfsg-5) unstable; urgency=medium

  * Texinfo 5.1 fixes/workarounds:
    + Use only alphanumerical characters in variable names.
      15_texi_ids.diff, 16_hardcodeurl.diff, sed-fix-texi-ids
    + @include file defining VERSION variable before refering to it.
      17_fixinclude.diff.
    + Disable some macros and make sure that macros using conditionals are
      only invoked on a separate line, even if it adds unwanted whitespace.
      18_disablemacros.diff 19_classictimes.diff 20_semilog.diff
      21_inline_foo.diff
    + 22_fixpdfbuild.diff: Stop messing with TEXINPUTS in Makefile*.
    Closes: #708800

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 May 2013 09:48:16 +0200

enblend-enfuse (4.0+dfsg-4ubuntu4) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:40 +0100
