=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg$// \
http://sf.net/enblend/enblend(?:-enfuse)?-([0-9.]+)\.tar\.gz \
	debian debian/bin/uscan_repack.sh
