## enblend-enfuse 4.1.3+dfsg

=== debian/changelog ===
enblend-enfuse (4.1.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 22 Jul 2014 08:21:27 +0200

enblend-enfuse (4.1.3+dfsg-1) experimental; urgency=low

  [ Andreas Metzler ]
  * Build with -pipe.
  * Update uscan_repack.sh to use xz compression.
  * New upstream version.
    + Refresh 0001-Change-all-texinfo-variable-names-to-alpha-nums.patch.
    + Versioned build-dependency on liblcms2-dev >= 2.5.

  [ Jackson Doak ]
  * Swap build-depend on libglew1.5-dev | libglew1.4-dev | libglew-dev
    to libglew-dev. The other two are deprecated.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Mar 2014 15:17:26 +0100
