=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: enblend-enfuse
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), autotools-dev,
- libtiff-dev, libboost-dev, libboost-filesystem-dev, liblcms2-dev,
+ libtiff-dev, libboost-dev, libboost-filesystem-dev, liblcms2-dev (>= 2.5),
  libglew-dev, freeglut3-dev, libplot-dev,
  zlib1g-dev, libjpeg-dev, libpng12-dev, libopenexr-dev, pkg-config, help2man,
  perl, texinfo, texlive, texlive-generic-recommended, gnuplot, transfig,
