=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,11 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-    ifneq (,$(findstring arm,$(DEB_HOST_GNU_TYPE)))
-        export DEB_CFLAGS_MAINT_STRIP = -O2
-        export DEB_CXXFLAGS_MAINT_STRIP = -O2
-        export DEB_CFLAGS_MAINT_APPEND = -O1
-        export DEB_CXXFLAGS_MAINT_APPEND = -O1
-    endif
-endif
-
 CONFARGS=--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
-		$(shell env DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed \
+		$(shell env DEB_CFLAGS_MAINT_APPEND=-Wall \
+		DEB_CXXFLAGS_MAINT_APPEND=-pipe \
+		DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed \
 		dpkg-buildflags --export=configure) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--enable-gpu-support=yes \
