## enblend-enfuse 4.1.4%2Bdfsg

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # This file is part of enblend.
 # Licence details can be found in the file COPYING.
 #
-# Copyright (c) 2009-2012, Kornel Benko <Kornel.Benko@berlin.de>
+# Copyright (c) 2009-2015, Kornel Benko <Kornel.Benko@berlin.de>
 #
 
 include(GetPrerequisites)	# get function gp_append_unique()
