=== debian/changelog ===
enblend-enfuse (4.1.4+dfsg-5) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * Pull
    31_467a73754dbb_Fix_issue__1537368__Unconditional_usage_of_std__auto_ptr__.diff
    from upstream HG (4.1.5 branch), which should allow building with g++6.
    Untested though, since boost and g++6 are not co-installable currently.
    Closes: #811869

 -- Andreas Metzler <ametzler@debian.org>  Thu, 28 Jan 2016 19:34:42 +0100

enblend-enfuse (4.1.4+dfsg-4) unstable; urgency=medium

  * Build-Depend on libpng-dev instead of libpng12-dev, 4.1.4 builds
    successfully against libpng 1.6. Closes: #662314

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Jan 2016 14:50:28 +0100

enblend-enfuse (4.1.4+dfsg-3) unstable; urgency=medium

  * Build-Depend on libgsl-dev instead of libgsl0-dev. Closes: #806830

 -- Andreas Metzler <ametzler@debian.org>  Thu, 03 Dec 2015 19:24:40 +0100

enblend-enfuse (4.1.4+dfsg-2) unstable; urgency=low

  * 20_reproducible_sig.diff: Use timestamp et al. from debian/changelog
    instead of current time/user/host for binary signature generation.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Oct 2015 14:11:52 +0200

enblend-enfuse (4.1.4+dfsg-1) experimental; urgency=medium

  * New upstream version.
    + Refresh patches-repack/00-win32helpers.patch.
    + Drop debian/patches/*, upstream docs are compatible with texinfo
      5.1 now.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Oct 2015 14:02:14 +0200
