=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), autotools-dev,
  libtiff-dev, libboost-dev, libboost-filesystem-dev, liblcms2-dev (>= 2.5),
  libglew-dev, freeglut3-dev, libplot-dev,
- zlib1g-dev, libjpeg-dev, libpng12-dev, libopenexr-dev, pkg-config, help2man,
+ zlib1g-dev, libjpeg-dev, libpng-dev, libopenexr-dev, pkg-config, help2man,
  perl, texinfo, texlive, texlive-generic-recommended, gnuplot, transfig,
  ghostscript, tidy, ttf-freefont,imagemagick, libxml2-utils,
- libvigraimpex-dev (>= 1.8.0+dfsg-2), libgsl0-dev
-Standards-Version: 3.9.5
+ libvigraimpex-dev (>= 1.8.0+dfsg-2), libgsl-dev
+Standards-Version: 3.9.6
 Homepage: http://enblend.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/enblend.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/enblend.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/enblend.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/enblend.git
 
 Package: enblend
 Architecture: any
-Depends: ${shlibs:Depends},${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: hugin
 Enhances: hugin
 Description: image blending tool
