=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+#used by  debian/patches/20_reproducible_sig.diff
+export DEB_TOP_DIR:=$(CURDIR)
 
 CONFARGS=--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
